package com.fp.viaticos.rules.enums;

/**
 * Enumeracion en la que se define codigos utilites de solicitud de viaticos.
 * 
 * @version 2.1
 */
public enum EnumCodigos {
    /**
     * C&oacute;digo tipo solicitud
     */
    SOLICITUD("S"),
    /**
     * C&oacute;digo tipo informe
     */
    INFORME("I"),
    /**
     * C&oacute;digo del parametro de d&iacute;as
     */
    VIA_03("VIA_03"),
    /**
     * C&oacute;digo del parametro para permitir d&iacute;as de salida
     */
    VIA_04("VIA_04"),
    /**
     * C&oacute;digo del parametro para permitir d&iacute;as de llegada
     */
    VIA_05("VIA_05");
    /**
     * Atributo para obtener el valor
     */
    private String codigo;

    /**
     * @param texto
     * @param codigo
     */
    private EnumCodigos(String codigo) {
        this.codigo = codigo;
    }

    /**
     * @return the texto
     */
    public String getCodigo() {
        return codigo;
    }
}
